Subject: bug#51321: 29.0.50; date in modelines

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Nov 2021 15:33:12 +0200

> From: Filipp Gunbin <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 01 Nov 2021 16:04:09 +0300
> 
> In my setup with Engish as preferred language and Russia as region
> (attaching a screenshot from System Preferences), I'm getting this
> warning:
> 
> /opt/local/bin/bash: warning: setlocale: LC_ALL: cannot change locale
> (en_RU.UTF-8): No such file or directory
> 
> because LC_ALL is now being set to en_RU.UTF-8 (LANG is set explicitly
> to ru_RU.UTF-8 in my .bash_profile and is thus untouched by Emacs).
> 
> So maybe we should check that the locale is valid before setting it...

"Valid" in what sense?  Is that locale not installed on your system,
or are you saying that it cannot exist?

(And why does the warning come from Bash when it was Emacs who sets
the locale?)